# Creates a new abstract submission process record that does not already exist. This method will auto-generate an ID and create a new abstract submission process. If an ID is specified for the abstract submission process, an error will be thrown. Endpoint: POST /abstractSubmissionProcesses/{tenantId} Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed. ## Request fields (application/json): - `confirmation_email` (object, required) The email to send when the application is received - `confirmation_email.bcc` (string) Anyone that should be bcc'ed on the email - `confirmation_email.body` (string, required) The email body - `confirmation_email.cc` (string) Anyone that should be cc'ed on the email - `confirmation_email.from` (string) From email address - `confirmation_email.from_name` (string) From name - `confirmation_email.reply_to` (string) The reply to - `confirmation_email.subject` (string, required) The email subject - `contact_form_options` (object, required) - `contact_form_options.contact_form_id` (string, required) The default contact form to present to the user to verify the contact info before proceeding - `contact_form_options.html` (string) Text to show on the top of the form - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `display_order` (number) Order to display the submission processes in - `enable_confirmation_email` (boolean) Whether or not an email should be sent when the application is received - `event_id` (string, required) The event - `id` (string, required) The unique, string identifier of this abstract submission process - `is_active` (boolean) Whether or not this abstract submission process is active - `max_contact_submissions` (number) The maximum number of submission per contact - `max_word_count` (number) Maximum number of words allowed to be input into the body field in the abstract form - `maximum_number_of_co_authors` (number) The maximum # of co-authors - `maximum_number_of_session_tracks` (number) The maximum number of session tracks that an abstract can be submitted for - `name` (string, required) Name of the process - `organization_form_options` (object, required) - `organization_form_options.organization_form_id` (string, required) The default organization form to present to the user to verify the organization info before proceeding - `presenter_quick_add_options` (object) UI options for how to add the abstract submitter - `quick_add_contact_options` (object) UI options for how the add co-authors should function - `show_contact_form` (boolean) Whether or not to show an organization form. Boolean value for showing - `show_in_portal` (boolean) Should show in portal - `show_organization_form` (boolean) Whether or not to show an organization form - `submission_form_id` (string, required) The registration form - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 200 fields (application/json): - `confirmation_email` (object, required) The email to send when the application is received - `confirmation_email.bcc` (string) Anyone that should be bcc'ed on the email - `confirmation_email.body` (string, required) The email body - `confirmation_email.cc` (string) Anyone that should be cc'ed on the email - `confirmation_email.from` (string) From email address - `confirmation_email.from_name` (string) From name - `confirmation_email.reply_to` (string) The reply to - `confirmation_email.subject` (string, required) The email subject - `contact_form_options` (object, required) - `contact_form_options.contact_form_id` (string, required) The default contact form to present to the user to verify the contact info before proceeding - `contact_form_options.html` (string) Text to show on the top of the form - `custom_field_values` (array) - `custom_field_values.boolean_value` (boolean) The boolean value - `custom_field_values.custom_field_id` (string) The unique identifier of the custom field - `custom_field_values.file_url_value` (string) The pointer to a file value - `custom_field_values.list_value` (array) The list value - `custom_field_values.numeric_value` (number) The numeric value - `custom_field_values.string_value` (string) The string value of the custom field - `custom_field_values.table_value` (array) A list of objects (a table) - `display_order` (number) Order to display the submission processes in - `enable_confirmation_email` (boolean) Whether or not an email should be sent when the application is received - `event_id` (string, required) The event - `id` (string, required) The unique, string identifier of this abstract submission process - `is_active` (boolean) Whether or not this abstract submission process is active - `max_contact_submissions` (number) The maximum number of submission per contact - `max_word_count` (number) Maximum number of words allowed to be input into the body field in the abstract form - `maximum_number_of_co_authors` (number) The maximum # of co-authors - `maximum_number_of_session_tracks` (number) The maximum number of session tracks that an abstract can be submitted for - `name` (string, required) Name of the process - `organization_form_options` (object, required) - `organization_form_options.organization_form_id` (string, required) The default organization form to present to the user to verify the organization info before proceeding - `presenter_quick_add_options` (object) UI options for how to add the abstract submitter - `quick_add_contact_options` (object) UI options for how the add co-authors should function - `show_contact_form` (boolean) Whether or not to show an organization form. Boolean value for showing - `show_in_portal` (boolean) Should show in portal - `show_organization_form` (boolean) Whether or not to show an organization form - `submission_form_id` (string, required) The registration form - `sys_bulk_load_at` (string) If this record was loaded via bulk, the timestamp when the record was processed - `sys_bulk_load_id` (string) If this record was loaded via bulk, the ID of the bulk load process - `sys_bulk_load_pk` (string) If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key - `sys_bulk_load_record_no` (number) If this record was loaded via bulk, the record number in the source file - `sys_bulk_load_source_file` (string) If this record was loaded via bulk, the source file - `sys_calculated_field_error` (string) The error associated with the calculated field - `sys_calculated_field_errors` (array) - `sys_calculated_field_errors.error` (string) - `sys_calculated_field_errors.field` (string) - `sys_configuration_snapshot_id` (string) If a snapshot was restored/applies to this record, the ID of the snapshot - `sys_created_at` (string, required) The date/time that this record was created, expressed in ISO-8601 date format - `sys_created_by_id` (string, required) The ID of the user that created this record - `sys_deleted_by_id` (string) The ID of the user that deleted (or last tried to delete) this object - `sys_directive` (string) Means for passing directive information into an object processing logic - `sys_external_id` (string) The ID that a record has from an external system or data import - `sys_has_files_in_s3` (boolean) If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion - `sys_last_bulk_data_operation_id` (string) If this record was last touched by a bulk data operation, the ID of that operation - `sys_last_bulk_data_operation_sys_version` (string) If this record was last touched by a bulk data operation, the sys_version at the time of that operation - `sys_last_modified_at` (string, required) The date/time that this record record was last modified, expressed in ISO-8601 date format - `sys_last_modified_by_id` (string, required) The ID of the user that last modified this record - `sys_last_security_context` (object) The security context of the last insert, modify, or delete performed on this item - `sys_locked` (boolean) If set, this record is locked and cannot be changed via the API - `sys_snapshot_base_version` (number) The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox - `sys_version` (number) A number representing the version of this record in the database ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields